[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedRasterImage.IsEmpty

Indicates if image content has been assigned for the shared image.

## Declaration

Source position: graphics.pp line 1226

`protected function TSharedRasterImage.IsEmpty: Boolean; virtual;`

## Function result

True if both the handle and the storage stream are not assigned.

## Description

IsEmpty is a Boolean function which indicates if image content has been assigned for the shared image. The return value is True when both the Handle and the SaveStream for the shared image are unassigned. Specifically, Handle contains 0 and SaveStream is Nil.